/*
 * Subscriber.java
 *
 * Created on November 2, 2001, 12:07 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Subscriber.java,v 1.2 2002/01/31 16:39:02 schmerl Exp $
 * $Log: Subscriber.java,v $
 * Revision 1.2  2002/01/31 16:39:02  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
import edu.cmu.cs.able.gaugeInfrastructure.Events.*;
/** This interface allows a subscriber to have events reported
 * to it. Used in conjunction with the {@link GaugeReportingBus} to allow
 * subscription to event patterns.
 *
 * @author Bradley Schmerl (schmerl@cs.cmu.edu)
 * @version 1.1
 */
public interface Subscriber {

    /** Called when an event pattern for which the subscriber is subscribed
     * is matched.
     * @param event The event that matched a particular pattern.
     */    
    public void receiveEvent(GaugeEvent event);
    
}

